Get Current User
curl --request GET \
--url https://api.lendflow.com/api/auth/me \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.lendflow.com/api/auth/me"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.lendflow.com/api/auth/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": null,
"first_name": "Morgan",
"last_name": "Hirthe",
"email": "70432445bd3f6-8f2c-38cb-aa04-2f4e1edb32bb@example.com",
"pending_email": null,
"widget_token": null,
"created_at": null,
"api_version": null,
"phone": "+18056589606",
"client_id": null,
"roles": [],
"email_integrations": {
"gmail": false
},
"version": "d5c673e5394c76c9d749a740f83999ae52fd5655",
"calendar_link": null
}
}Authentication
Get Current User
Returns the authenticated user’s profile, including notifications, preferences, and permission details.
GET
/
api
/
auth
/
me
Get Current User
Authorizations
You can register for a new Lendflow API key on our client portal in less than 60 seconds. The Bearer Token needs to be included in all API requests made to the API Service in the following form:
Authorization: Bearer [YOUR_TOKEN]
You must replace [YOUR_TOKEN] with your personal API key.
Response
200 - application/json
Show child attributes
Show child attributes
Was this page helpful?